package aop.example.model;

/**
 * Объект пользователь - аутентифицированный
 * @author Zubairov Renat
 */
public class User extends AnonymousUser {

	/**
	 * Регистрационное имя
	 */
	private String login;


	/**
	 * Такой конструктор нужен только однажды и то что бы сократить
	 * код. По идее его не должно быть
	 */	
	public User() {
		super();
		setLogin("UNSET");
	}
	
	/**
	 * Конструктор с логином
	 * @param login
	 */
	public User(String login) {
		super();
		setLogin(login);
	}

	/**
	 * @return
	 */
	public String getLogin() {
		return login;
	}

	/**
	 * @param string
	 */
	public void setLogin(String string) {
		login = string;
	}
	
	public String toString() {
		return getLogin();
	}

}
